Bug 599596 - uno.bin segfault in thread shutdown
uno.bin segfault in thread shutdown
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
: 603329 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 10:58 EDT by Tom London
Modified: 2010-06-12 10:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 09:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 107490 None None None Never

  None (edit)
Description Tom London 2010-06-03 10:58:30 EDT
Description of problem:
Noticed this segfault/coredump during update to openoffice*3.2.1-19.6.fc14.x86_64:

Jun  3 06:29:53 tlondon yum[2709]: Updated: 1:openoffice.org-graphicfilter-3.2.1-19.6.fc14.x86_64
Jun  3 06:29:54 tlondon yum[2709]: Updated: 1:openoffice.org-draw-core-3.2.1-19.6.fc14.x86_64
Jun  3 06:30:00 tlondon kernel: uno.bin[6541]: segfault at 7fdd75fa4018 ip 00007fdd75ffde20 sp 00007fdd67ffe4e0 error 4 in libuno_cppuhelpergcc3.so.3[7fdd75fb9000+9d000]
Jun  3 06:30:00 tlondon yum[2709]: Updated: 1:openoffice.org-pdfimport-3.2.1-19.6.fc14.x86_64
Jun  3 06:30:00 tlondon abrt[6549]: saved core dump of pid 6535 (/usr/lib64/openoffice.org/ure/bin/uno.bin) to /var/spool/abrt/ccpp-1275571800-6535.new/coredump (55410688 bytes)
Jun  3 06:30:00 tlondon abrtd: Directory 'ccpp-1275571800-6535' creation detected
Jun  3 06:30:00 tlondon abrt[6549]: saved core dump of pid 6535 to //core.6535 (55410688 bytes)

Hmmm.... core dump saved in '/core.6535' !?!?

Should core files be "allowed" to dump into ROOT?

After installing several debuginfo packages, here is the trace I get:

Core was generated by `/usr/lib64/openoffice.org/basis3.2/program/../ure-link/bin/uno.bin --quiet --si'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007fdd75ffde20 in cppu::OInterfaceIteratorHelper::OInterfaceIteratorHelper (this=0x7fdd67ffe510, rCont_=...)
    at /usr/src/debug/OOO320_m19/cppuhelper/source/interfacecontainer.cxx:117
117			((XInterface *)pData)->acquire();
Missing separate debuginfos, use: debuginfo-install filesystem-2.4.35-1.fc14.x86_64
(gdb) set pagination off
(gdb) where
#0  0x00007fdd75ffde20 in cppu::OInterfaceIteratorHelper::OInterfaceIteratorHelper (this=0x7fdd67ffe510, rCont_=...) at /usr/src/debug/OOO320_m19/cppuhelper/source/interfacecontainer.cxx:117
#1  0x00007fdd75ffed94 in cppu::OInterfaceContainerHelper::disposeAndClear (this=<value optimized out>, rEvt=...) at /usr/src/debug/OOO320_m19/cppuhelper/source/interfacecontainer.cxx:335
#2  0x00007fdd75fff061 in cppu::OMultiTypeInterfaceContainerHelper::disposeAndClear (this=<value optimized out>, rEvt=...) at /usr/src/debug/OOO320_m19/cppuhelper/source/interfacecontainer.cxx:530
#3  0x00007fdd76015daa in cppu::OComponentHelper::dispose (this=0x7fdd6c0e3708) at /usr/src/debug/OOO320_m19/cppuhelper/source/component.cxx:179
#4  0x00007fdd76009bce in cppu::OFactoryComponentHelper::dispose (this=0x7fdd6c0e3708) at /usr/src/debug/OOO320_m19/cppuhelper/source/factory.cxx:518
#5  0x00007fdd76015a0c in cppu::OComponentHelper::release (this=0x7fdd6c0e3708) at /usr/src/debug/OOO320_m19/cppuhelper/source/component.cxx:94
#6  0x00007fdd6e642320 in bridges::cpp_uno::shared::freeUnoInterfaceProxy (pEnv=<value optimized out>, pProxy=<value optimized out>) at /usr/src/debug/OOO320_m19/bridges/source/cpp_uno/shared/unointerfaceproxy.cxx:54
#7  0x00007fdd76277e5d in (anonymous namespace)::s_stub_defenv_revokeInterface (pParam=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/lbenv.cxx:397
#8  0x00007fdd7627ba86 in s_environment_invoke_v (pCurrEnv=0x0, pTargetEnv=<value optimized out>, pCallee=0x7fdd76277bb5 <(anonymous namespace)::s_stub_defenv_revokeInterface(va_list*)>, pParam=0x7fdd67ffe7f0) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:292
#9  0x00007fdd7627bb1f in uno_Environment_invoke_v (pTargetEnv=0x7fdd6e6203d0, pCallee=0x7fdd76277bb5 <(anonymous namespace)::s_stub_defenv_revokeInterface(va_list*)>, pParam=0x7fdd67ffe7f0) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:311
#10 0x00007fdd7627bbba in uno_Environment_invoke (pEnv=<value optimized out>, pCallee=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:320
#11 0x00007fdd7627585d in (anonymous namespace)::defenv_revokeInterface (pEnv=<value optimized out>, pInterface=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/lbenv.cxx:453
#12 0x00007fdd6cb3f61e in bridges_remote::Uno2RemoteStub::~Uno2RemoteStub (this=0x7fdd6c0f0a30, __in_chrg=<value optimized out>) at /usr/src/debug/OOO320_m19/bridges/source/remote/static/stub.cxx:328
#13 0x00007fdd6cb3f821 in bridges_remote::freeUno2RemoteStub (stub=0x7fdd6c0f0a30) at /usr/src/debug/OOO320_m19/bridges/source/remote/static/stub.cxx:288
#14 0x00007fdd76277e5d in (anonymous namespace)::s_stub_defenv_revokeInterface (pParam=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/lbenv.cxx:397
#15 0x00007fdd7627ba86 in s_environment_invoke_v (pCurrEnv=0x0, pTargetEnv=<value optimized out>, pCallee=0x7fdd76277bb5 <(anonymous namespace)::s_stub_defenv_revokeInterface(va_list*)>, pParam=0x7fdd67ffe9f0) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:292
#16 0x00007fdd7627bb1f in uno_Environment_invoke_v (pTargetEnv=0x7fdd6e620290, pCallee=0x7fdd76277bb5 <(anonymous namespace)::s_stub_defenv_revokeInterface(va_list*)>, pParam=0x7fdd67ffe9f0) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:311
#17 0x00007fdd7627bbba in uno_Environment_invoke (pEnv=<value optimized out>, pCallee=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:320
#18 0x00007fdd7627585d in (anonymous namespace)::defenv_revokeInterface (pEnv=<value optimized out>, pInterface=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/lbenv.cxx:453
#19 0x00007fdd6cb28679 in bridges_urp::releaseStubs (pEnvRemote=0x7fdd6e620290) at /usr/src/debug/OOO320_m19/bridges/source/remote/urp/urp_environment.cxx:236
#20 0x00007fdd6cb2891a in RemoteEnvironment_thisDispose (pEnvRemote=0x7fdd6e620290) at /usr/src/debug/OOO320_m19/bridges/source/remote/urp/urp_environment.cxx:349
#21 0x00007fdd6cb33916 in bridges_urp::OReaderThread::disposeEnvironment (this=0x7fdd6dae5c58) at /usr/src/debug/OOO320_m19/bridges/source/remote/urp/urp_reader.cxx:263
#22 0x00007fdd6cb3399c in bridges_urp::OReaderThread::run (this=0x7fdd6dae5c58) at /usr/src/debug/OOO320_m19/bridges/source/remote/urp/urp_reader.cxx:438
#23 0x00007fdd6cb299aa in osl::threadFunc (param=0x7fdd6dae5c58) at /usr/src/debug/OOO320_m19/solver/320/unxlngx6.pro/inc/osl/thread.hxx:184
#24 0x00007fdd766b8ebc in osl_thread_start_Impl (pData=0x176ef80) at thread.c:266
#25 0x0000003db7a07951 in start_thread (arg=0x7fdd67fff710) at pthread_create.c:301
#26 0x0000003db76e4d7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
(gdb) thread apply all bt full

Thread 5 (Thread 6539):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
No locals.
#1  0x00007fdd766df196 in rtl_cache_wsupdate_wait (arg=<value optimized out>) at alloc_cache.c:1385
        now = {tv_sec = 1275571798, tv_usec = 672793}
        wakeup = {tv_sec = 1275571808, tv_nsec = 672793000}
#2  rtl_cache_wsupdate_all (arg=<value optimized out>) at alloc_cache.c:1529
        seconds = 10
#3  0x0000003db7a07951 in start_thread (arg=0x7fdd757f8710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fdd757f8710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140589135791888, -7159675966973735726, 265073793792, 140589135792592, 0, 3, 7140829233842031826, -7144723431558148910}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#4  0x0000003db76e4d7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 4 (Thread 6535):
#0  0x0000003db76d790d in close () at ../sysdeps/unix/syscall-template.S:82
No locals.
#1  0x00007fdd6e642b60 in bridges::cpp_uno::shared::VtableFactory::~VtableFactory (this=0x7fdd74de7008, __in_chrg=<value optimized out>) at /usr/src/debug/OOO320_m19/bridges/source/cpp_uno/shared/vtablefactory.cxx:214
        j = <value optimized out>
        i = warning: bits 64-128 in computed object were optimized out; replacing with zeroes
{_M_cur = 0x7fdd6d590ad0, _M_ht = 0x0}
        guard = {pT = 0x7fdd74de7008}
#2  0x00007fdd6e641725 in dso_exit () at /usr/src/debug/OOO320_m19/bridges/source/cpp_uno/shared/cppinterfaceproxy.cxx:66
No locals.
#3  0x00007fdd6e63be3f in __do_global_dtors_aux () from /usr/lib64/openoffice.org/ure/lib/libgcc3_uno.so
No symbol table info available.
#4  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 6547):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
No locals.
#1  0x00007fdd766b539e in osl_waitCondition (Condition=0x7fdd5c0008e0, pTimeout=<value optimized out>) at conditn.c:250
        ret = <value optimized out>
        tp = {tv_sec = 1275571799, tv_usec = 979444}
        to = {tv_sec = 1275571801, tv_nsec = 979444000}
        pCond = 0x7fdd5c0008e0
        nRet = <value optimized out>
        Result = osl_cond_result_ok
#2  0x00007fdd7627caa3 in cppu_threadpool::ThreadPool::waitInPool (this=0x7fdd764879c0, pThread=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/threadpool/threadpool.cxx:194
        waitingThread = {condition = 0x7fdd5c0008e0, thread = 0x7fdd6d590990}
        time = {Seconds = 2, Nanosec = 0}
#3  0x00007fdd7627ecb4 in cppu_threadpool::ORequestThread::run (this=0x7fdd6d590990) at /usr/src/debug/OOO320_m19/cppu/source/threadpool/thread.cxx:214
No locals.
#4  0x00007fdd7627ef80 in cppu_requestThreadWorker (pVoid=0x7fdd6d590990) at /usr/src/debug/OOO320_m19/cppu/source/threadpool/thread.cxx:46
        pThread = 0x7fdd6d590990
#5  0x00007fdd766b8ebc in osl_thread_start_Impl (pData=0x7fdd60000c80) at thread.c:266
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, -7159675966973735726, 265073793792, 140588885244368, 0, 3, 7140867896563010770, 7140831538581277906}, __mask_was_saved = 0}}, __pad = {0x7fdd66906f30, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x2c890
        __cancel_arg = 0x7fdd60000c80
        not_first_call = <value optimized out>
        terminate = 0
        pImpl = 0x7fdd60000c80
#6  0x0000003db7a07951 in start_thread (arg=0x7fdd66907710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fdd66907710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140588885243664, -7159675966973735726, 265073793792, 140588885244368, 0, 3, 7140867896600759506, -7144723431558148910}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003db76e4d7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 6546):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
No locals.
#1  0x00007fdd766b539e in osl_waitCondition (Condition=0x7fdd58001470, pTimeout=<value optimized out>) at conditn.c:250
        ret = <value optimized out>
        tp = {tv_sec = 1275571799, tv_usec = 979658}
        to = {tv_sec = 1275571801, tv_nsec = 979658000}
        pCond = 0x7fdd58001470
        nRet = <value optimized out>
        Result = osl_cond_result_ok
#2  0x00007fdd7627caa3 in cppu_threadpool::ThreadPool::waitInPool (this=0x7fdd764879c0, pThread=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/threadpool/threadpool.cxx:194
        waitingThread = {condition = 0x7fdd58001470, thread = 0x7fdd6d5903c8}
        time = {Seconds = 2, Nanosec = 0}
#3  0x00007fdd7627ecb4 in cppu_threadpool::ORequestThread::run (this=0x7fdd6d5903c8) at /usr/src/debug/OOO320_m19/cppu/source/threadpool/thread.cxx:214
No locals.
#4  0x00007fdd7627ef80 in cppu_requestThreadWorker (pVoid=0x7fdd6d5903c8) at /usr/src/debug/OOO320_m19/cppu/source/threadpool/thread.cxx:46
        pThread = 0x7fdd6d5903c8
#5  0x00007fdd766b8ebc in osl_thread_start_Impl (pData=0x7fdd60000aa0) at thread.c:266
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, -7159675966973735726, 265073793792, 140588898838992, 0, 3, 7140868546713685202, 7140831538581277906}, __mask_was_saved = 0}}, __pad = {0x7fdd675fdf30, 0x0, 0x7fdd757fdcd8, 0x198e}}
        __cancel_routine = 0x2c890
        __cancel_arg = 0x7fdd60000aa0
        not_first_call = <value optimized out>
        terminate = 0
        pImpl = 0x7fdd60000aa0
#6  0x0000003db7a07951 in start_thread (arg=0x7fdd675fe710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fdd675fe710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140588898838288, -7159675966973735726, 265073793792, 140588898838992, 0, 3, 7140868546751433938, -7144723431558148910}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003db76e4d7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 6541):
#0  0x00007fdd75ffde20 in cppu::OInterfaceIteratorHelper::OInterfaceIteratorHelper (this=0x7fdd67ffe510, rCont_=...) at /usr/src/debug/OOO320_m19/cppuhelper/source/interfacecontainer.cxx:117
        aGuard = {pT = 0x7fdd6c0e3768}
#1  0x00007fdd75ffed94 in cppu::OInterfaceContainerHelper::disposeAndClear (this=<value optimized out>, rEvt=...) at /usr/src/debug/OOO320_m19/cppuhelper/source/interfacecontainer.cxx:335
        aGuard = {pT = 0x7fdd6c0e3768}
        aIt = {rCont = @0x7fdd6c0d2870, bIsList = 0 '\000', pData = 0x7fdd6c0ca228, nRemain = 16}
#2  0x00007fdd75fff061 in cppu::OMultiTypeInterfaceContainerHelper::disposeAndClear (this=<value optimized out>, rEvt=...) at /usr/src/debug/OOO320_m19/cppuhelper/source/interfacecontainer.cxx:530
        i = <value optimized out>
        nSize = 1
        ppListenerContainers = 0x7fdd6ef38008
#3  0x00007fdd76015daa in cppu::OComponentHelper::dispose (this=0x7fdd6c0e3708) at /usr/src/debug/OOO320_m19/cppuhelper/source/component.cxx:179
        xSource = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7fdd6c0e3708}, <No data fields>}
        aEvt = {Source = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7fdd6c0e3708}, <No data fields>}}
        aGuard = <value optimized out>
        xSelf = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7fdd6c0e3740}, <No data fields>}
        bDoDispose = <value optimized out>
#4  0x00007fdd76009bce in cppu::OFactoryComponentHelper::dispose (this=0x7fdd6c0e3708) at /usr/src/debug/OOO320_m19/cppuhelper/source/factory.cxx:518
        x = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}
#5  0x00007fdd76015a0c in cppu::OComponentHelper::release (this=0x7fdd6c0e3708) at /usr/src/debug/OOO320_m19/cppuhelper/source/component.cxx:94
        xHoldAlive = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7fdd6c0e3708}, <No data fields>}
        x = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}
#6  0x00007fdd6e642320 in bridges::cpp_uno::shared::freeUnoInterfaceProxy (pEnv=<value optimized out>, pProxy=<value optimized out>) at /usr/src/debug/OOO320_m19/bridges/source/cpp_uno/shared/unointerfaceproxy.cxx:54
        pThis = 0x7fdd6c0bf070
#7  0x00007fdd76277e5d in (anonymous namespace)::s_stub_defenv_revokeInterface (pParam=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/lbenv.cxx:397
        rEntry = @0x7fdd6c0be990
        nPos = 0
        guard = {pT = 0x0}
        pOEntry = 0x7fdd6c0ca388
        pEnv = 0x7fdd6e6203d0
        pInterface = 0x7fdd6c0bf070
        that = 0x7fdd6e6203d0
        iFind = <value optimized out>
#8  0x00007fdd7627ba86 in s_environment_invoke_v (pCurrEnv=0x0, pTargetEnv=<value optimized out>, pCallee=0x7fdd76277bb5 <(anonymous namespace)::s_stub_defenv_revokeInterface(va_list*)>, pParam=0x7fdd67ffe7f0) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:292
        hld = 0x0
        pNextEnv = 0x0
#9  0x00007fdd7627bb1f in uno_Environment_invoke_v (pTargetEnv=0x7fdd6e6203d0, pCallee=0x7fdd76277bb5 <(anonymous namespace)::s_stub_defenv_revokeInterface(va_list*)>, pParam=0x7fdd67ffe7f0) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:311
No locals.
#10 0x00007fdd7627bbba in uno_Environment_invoke (pEnv=<value optimized out>, pCallee=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:320
        param = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fdd67ffe8d0, reg_save_area = 0x7fdd67ffe810}}
#11 0x00007fdd7627585d in (anonymous namespace)::defenv_revokeInterface (pEnv=<value optimized out>, pInterface=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/lbenv.cxx:453
No locals.
#12 0x00007fdd6cb3f61e in bridges_remote::Uno2RemoteStub::~Uno2RemoteStub (this=0x7fdd6c0f0a30, __in_chrg=<value optimized out>) at /usr/src/debug/OOO320_m19/bridges/source/remote/static/stub.cxx:328
No locals.
#13 0x00007fdd6cb3f821 in bridges_remote::freeUno2RemoteStub (stub=0x7fdd6c0f0a30) at /usr/src/debug/OOO320_m19/bridges/source/remote/static/stub.cxx:288
No locals.
#14 0x00007fdd76277e5d in (anonymous namespace)::s_stub_defenv_revokeInterface (pParam=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/lbenv.cxx:397
        rEntry = @0x7fdd6c0bea30
        nPos = 0
        guard = {pT = 0x0}
        pOEntry = 0x7fdd6c0ca468
        pEnv = 0x7fdd6e620290
        pInterface = 0x7fdd6c0f0970
        that = 0x7fdd6e620290
        iFind = <value optimized out>
#15 0x00007fdd7627ba86 in s_environment_invoke_v (pCurrEnv=0x0, pTargetEnv=<value optimized out>, pCallee=0x7fdd76277bb5 <(anonymous namespace)::s_stub_defenv_revokeInterface(va_list*)>, pParam=0x7fdd67ffe9f0) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:292
        hld = 0x0
        pNextEnv = 0x0
#16 0x00007fdd7627bb1f in uno_Environment_invoke_v (pTargetEnv=0x7fdd6e620290, pCallee=0x7fdd76277bb5 <(anonymous namespace)::s_stub_defenv_revokeInterface(va_list*)>, pParam=0x7fdd67ffe9f0) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:311
No locals.
#17 0x00007fdd7627bbba in uno_Environment_invoke (pEnv=<value optimized out>, pCallee=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/EnvStack.cxx:320
        param = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fdd67ffead0, reg_save_area = 0x7fdd67ffea10}}
#18 0x00007fdd7627585d in (anonymous namespace)::defenv_revokeInterface (pEnv=<value optimized out>, pInterface=<value optimized out>) at /usr/src/debug/OOO320_m19/cppu/source/uno/lbenv.cxx:453
No locals.
#19 0x00007fdd6cb28679 in bridges_urp::releaseStubs (pEnvRemote=0x7fdd6e620290) at /usr/src/debug/OOO320_m19/bridges/source/remote/urp/urp_environment.cxx:236
        ppInterfaces = 0x7fdd6dae8e80
        nCount = 18
        i = <value optimized out>
#20 0x00007fdd6cb2891a in RemoteEnvironment_thisDispose (pEnvRemote=0x7fdd6e620290) at /usr/src/debug/OOO320_m19/bridges/source/remote/urp/urp_environment.cxx:349
        bReleaseStubs = true
        pContext = <value optimized out>
        pImpl = <value optimized out>
        guard = {pT = 0x0}
        tidyUp = true
#21 0x00007fdd6cb33916 in bridges_urp::OReaderThread::disposeEnvironment (this=0x7fdd6dae5c58) at /usr/src/debug/OOO320_m19/bridges/source/remote/urp/urp_reader.cxx:263
        pEnvRemote = 0x7fdd6e620290
        pContext = 0x7fdd6dae1f18
#22 0x00007fdd6cb3399c in bridges_urp::OReaderThread::run (this=0x7fdd6dae5c58) at /usr/src/debug/OOO320_m19/bridges/source/remote/urp/urp_reader.cxx:438
        nMessageCount = 1
        pEnvRemote = 0x7fdd6e620290
        pMultiJob = 0x7fdd6c0bd8b0
        pLastRemoteI = 0x7fdd6dae2ae8
        lastTypeNoCache = {_pType = 0x7fdd74de6428}
        lastOidNoCache = warning: can't find linker symbol for virtual table for `rtl::OUString' value
{pData = 0x7fdd766eb96c}
        lastTidNoCache = warning: can't find linker symbol for virtual table for `rtl::ByteSequence' value
{_pSequence = 0x7fdd76a79544}
#23 0x00007fdd6cb299aa in osl::threadFunc (param=0x7fdd6dae5c58) at /usr/src/debug/OOO320_m19/solver/320/unxlngx6.pro/inc/osl/thread.hxx:184
        pObj = 0x7fdd6dae5c58
#24 0x00007fdd766b8ebc in osl_thread_start_Impl (pData=0x176ef80) at thread.c:266
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, -7159675966973735726, 265073793792, 140588909328848, 0, 3, 7140869919492607186, 7140831538581277906}, __mask_was_saved = 0}}, __pad = {0x7fdd67ffef30, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x2c890
        __cancel_arg = 0x176ef80
        not_first_call = <value optimized out>
        terminate = 0
        pImpl = 0x176ef80
#25 0x0000003db7a07951 in start_thread (arg=0x7fdd67fff710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fdd67fff710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140588909328144, -7159675966973735726, 265073793792, 140588909328848, 0, 3, 7140869919530355922, -7144723431558148910}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#26 0x0000003db76e4d7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.
(gdb) quit
[root@tlondon /]# 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2010-06-03 11:12:14 EDT
Its that stinking race in the bridges house of cards. Threads are a mine field. I did submit a patch to address some of these before. Didn't fix all of them apparently. Maybe I should apply that anyway and see what ones might remain afterwards.
Comment 2 Caolan McNamara 2010-06-04 05:11:38 EDT
Give that a go
Comment 3 Tom London 2010-06-04 09:21:07 EDT
Updated to 1:openoffice.org*-3.2.1-19.7.fc14.x86_64 and did not see the segfault/coredump.

Any reason why the previous version would coredump in /:

[root@tlondon ~]# ls -l /core*
-rw-------. 1 root root 55410688 Jun  3 06:30 /core.6535
[root@tlondon ~]# 

Close?
Comment 4 Caolan McNamara 2010-06-04 09:39:23 EDT
Re: updated 3.2.1-19.7. Well its a fairly nasty collection of races, so most of the time it won't crash.

Lets keep this open until 3.2.1-19.8 hits which has the attempt at a fix in it. Well actually in theory until 3.2.1-19.9 in one sense. Assuming that 3.2.1-19.8 will fix this, the *uninstall* of 3.2.1-19.7 might still crash.

Re: core in / A quick check here shows that rpm set the pwd to "/" for %post/%pre etc scripts.
Comment 5 Caolan McNamara 2010-06-12 10:15:33 EDT
*** Bug 603329 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.